=== debian/changelog ===
fosfat (0.4.0-1) unstable; urgency=low

  * New 0.4.0 upstream release, that merges most of our changes.
    Thanks go to Mathieu Schroeter!
    - The C++ non-redistributable files' functionality has been completely
      rewritten: remove +dfsg postfix and README.source.
    - New tarball includes Doxyfile: drop 00_upstream_Doxyfile.patch
    - -fPIC can be enabled individually: drop 10_enable_PIC_on_all_arches.patch
    - 11_fix_non_Linux_build.patch incorporated upstream: drop it.
    - Manpage for smascii was incoprorated upstream: drop it from packaging.
    - New pkg-config files for libfosfat and libfosgra are available: include
      them.

  * Enable static library compilation.
    
  * Now that I am a DM, add DMUA field to debian/control.
    Thanks go to Patrick Matthäi for the sponsoring!

 -- Didier Raboud <didier@raboud.com>  Mon, 15 Mar 2010 12:05:53 +0100

fosfat (0.3.2+dfsg-2) unstable; urgency=low

  * Add 11_fix_non_Linux_build.patch to fix FTBFS on kfreebsd-*.

 -- Didier Raboud <didier@raboud.com>  Fri, 12 Mar 2010 10:37:07 +0100

fosfat (0.3.2+dfsg-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #572207)
    - Packaging based on upstream's. Many thanks!

  * Repack upstream to remove non-free libw32disk/Disk.*.
    - Add README.source do document that.
    - Mangle version in debian/watch.

  * debian/rules: use debhelper tiny style.
  * debian/control: Bump B-D of debhelper to >= 7.0.50.
    - Split package in libraries, -dev, -dbg packages.
    - Put package in otherosfs.
  * debian/patches:
    + 00_upstream_Doxyfile.patch : Import upstream's Doxyfile, probably
      forgotten in the tarball.
    + 10_enable_PIC_on_all_arches.patch : Disable upstream's arches list for
      -fPIC: enable it unconditionally.
  * Include docs.
  * Add symbols for the libs.
  * debian/compat: bump compat to 7.
  * debian/copyright: update.
  * Add a smascii.1 manpage.
  * Bump Standards to 3.8.4.

 -- Didier Raboud <didier@raboud.com>  Sun, 07 Mar 2010 23:26:57 +0100

fosfat (0.3.2-0ubuntu0) jaunty; urgency=low

  * .IMAGE decoding support

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Sun, 07 Jul 2009 15:00:00 +0100

fosfat (0.3.1-0ubuntu0) jaunty; urgency=low

  * New beta release
  * A lot of fixes.

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Sun, 04 Jul 2009 14:00:00 +0100

fosfat (0.3.0-0ubuntu0) gutsy; urgency=low

  * New major beta release
  * Support of multiple devices, undelete, Window$ and symlink in fosread.

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Sun, 16 Dec 2007 16:00:00 +0100

fosfat (0.2.3-0ubuntu0) gutsy; urgency=low

  * Fourth beta release

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Sat, 09 Dec 2007 16:00:00 +0100

fosfat (0.2.2-0ubuntu0) feisty; urgency=low

  * Third beta release

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Sat, 07 Jul 2007 18:00:00 +0100

fosfat (0.2.1-0ubuntu0) feisty; urgency=low

  * Second beta release

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Fri, 22 Jun 2007 20:00:00 +0100

fosfat (0.2.0-0ubuntu0) feisty; urgency=low

  * First beta release

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Thu, 10 May 2007 19:35:00 +0100

fosfat (0.1.0-0ubuntu0) edgy; urgency=low

  * Initial alpha release

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Sat, 30 Dec 2006 13:17:34 +0100
