=== debian/control ===
Source: fosfat
Section: otherosfs
Priority: optional
Maintainer: Didier Raboud <didier@raboud.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), pkg-config (>= 0.20), libfuse-dev (>= 2.6), doxygen
Standards-Version: 3.8.4
Homepage: http://home.gna.org/fosfat
Vcs-Git: git://git.debian.org/collab-maint/fosfat.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fosfat.git

Package: fosfat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FUSE library to access Smaky formatted disk (ro)
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.

Package: libfosfat0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: API for the Smaky file system
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.
 .
 This package contains the libfosfat0, which provides the API for the
 Smaky file system.

Package: libfosgra0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to decode Smaky .IMAGE files
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.
 .
 This package contains the libfosgra0, used to decode the Smaky .IMAGE
 picture file.

Package: fosfat-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libfosfat0 (= ${binary:Version}),
         libfosgra0 (= ${binary:Version})
Description: FUSE library to access Smaky formatted disk, development files
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.
 .
 This package contains the development files for libfosfat0, libfosgra0
 and the corresponding documentation.

Package: fosfat-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         fosfat (= ${binary:Version}),
         libfosfat0 (= ${binary:Version}),
         libfosgra0 (= ${binary:Version})
Description: FUSE library to access Smaky formatted disk, debug symbols
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.
 .
 This package contains the debug symbols of libfosfat0, libfosgra0 and
 fosfat itself.
