=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://download.gna.org/fosfat/ fosfat_([\d.]*)\.orig\.tar\.gz
