=== libfosfat/Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 
 $(SHARED_LIBNAME): $(OBJS)
 	$(CC) $(SHARED_LIBNAME_FLAGS) \
-	  $(OBJS) $(EXTRALIBS) $(LIB_LDFLAGS) -o $(SHARED_LIBNAME_VERSION)
+	  $(OBJS) $(LIB_LDFLAGS) -o $(SHARED_LIBNAME_VERSION)
 	if [ $(BUILD_MINGW32) = no ]; then \
 	  $(LN) -sf $(SHARED_LIBNAME_VERSION) $(SHARED_LIBNAME_MAJOR); \
 	  $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(SHARED_LIBNAME); \
@@ -81,6 +81,7 @@
 	    $(LN) -sf $(SHARED_LIBNAME_VERSION) $(libdir)/$(SHARED_LIBNAME_MAJOR); \
 	    $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(libdir)/$(SHARED_LIBNAME); \
 	  else \
+	    $(INSTALL) -d $(bindir); \
 	    $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(bindir); \
 	    $(INSTALL) -c $(LIBNAME).dll.a $(libdir); \
 	  fi \
