## fosfat 0.4.0-13-ged091bb

=== debian/changelog ===
fosfat (0.4.0-13-ged091bb-3) unstable; urgency=medium

  * Cleanup d/control thanks to `cme update dpkg-control`
  * Update Vcs-* for the move to Salsa

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Feb 2018 20:53:43 +0100

fosfat (0.4.0-13-ged091bb-2) unstable; urgency=medium

  * Bump debhelper compat to 10
  * Stop disabling PIE (Closes: #865602)
  * Bump Standards-Version to 4.0.1
  * Update Homepage and Vcs-* URLs to https

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Aug 2017 19:04:13 -0400

fosfat (0.4.0-13-ged091bb-1) unstable; urgency=medium

  * New upstream version 0.4.0-13-ged091bb
  * Bump S-V to 3.9.8 without changes needed
  * Remove -dbg package in favour of automatic -dbgsym package; this requires
    debhelper >= 9.20151219
  * Drop patches, all incorporated upstream; also drop outdated source lintian
    override
  * Use libjs-jquery for the documentation search, through .links and a Depends
    against libjs-jquery
  * Enable build hardening (+all,-pie)
  * Rewrite debian/watch for new GitHub home

 -- Didier Raboud <odyx@debian.org>  Mon, 03 Oct 2016 14:39:35 +0200

fosfat (0.4.0-5) unstable; urgency=medium

  * Update Homepage
  * Rewrite debian/copyright with CF1.0
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 15 Apr 2014 22:34:58 +0200

fosfat (0.4.0-4) unstable; urgency=low

  * Permit 'make clean' before configure (Closes: #718064)
  * Bump debhelper's build-dependency to 9, and Standards-Version to
    3.9.4.
  * Update debian/watch

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Jul 2013 13:04:06 +0200

fosfat (0.4.0-3) unstable; urgency=low

  * Convert libraries to multiarch.
    - Bump B-D on debhelper to 8.9.3.
    - Bump debhelper compatibility level to 9.
    - Override lintian warning about debhelper being too young.
    - Update *.install files to cope with new library paths.
    - Initialize D_H_MULTIARCH from dpkg-architectures, use it in the
      --libdir argument to the configure.
    - Add Multi-Arch: same to the lib* packages.
  * Bump Symbols to 3.9.2, without changes needed.
  * Change my email address to @d.o and remove DMUA.

 -- Didier Raboud <odyx@debian.org>  Fri, 05 Aug 2011 19:22:47 +0200

fosfat (0.4.0-2) unstable; urgency=low

  * Add fix_Bsymbolic-functions_build.patch to fix build in Ubuntu
    natty.

 -- Didier Raboud <didier@raboud.com>  Fri, 03 Dec 2010 11:04:27 +0100
