=== debian/control ===
Source: fosfat
Maintainer: Didier Raboud <odyx@debian.org>
Section: otherosfs
Priority: optional
Build-Depends: debhelper (>= 10.2.5~),
               pkg-config,
               libfuse-dev,
               doxygen
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/fosfat
Vcs-Git: https://salsa.debian.org/debian/fosfat.git
Homepage: https://skywalker13.github.io/Fosfat/

Package: fosfat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: FUSE library to access Smaky formatted disk (ro)
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.

Package: libfosfat0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: API for the Smaky file system
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.
 .
 This package contains the libfosfat0, which provides the API for the
 Smaky file system.

Package: libfosgra0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library to decode Smaky .IMAGE files
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.
 .
 This package contains the libfosgra0, used to decode the Smaky .IMAGE
 picture file.

Package: fosfat-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libfosfat0 (= ${binary:Version}),
         libfosgra0 (= ${binary:Version}),
         libjs-jquery
Description: FUSE library to access Smaky formatted disk, development files
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.
 .
 This package contains the development files for libfosfat0, libfosgra0
 and the corresponding documentation.
