=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr \
	            --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	            --enable-static \
	            --enable-shared \
	            --enable-fosmount \
	            --disable-strip \
	            --enable-debug \
	            --enable-doc \
	            --enable-pic

override_dh_strip:
	dh_strip --ddeb-migration='fosfat-dbg (<< 0.4.0-6~)'

override_dh_auto_clean:
	touch config.mak
	dh_auto_clean
