=== libw32disk/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 $(SHARED_LIBNAME): $(OBJS)
 	$(CC) $(SHARED_LIBNAME_FLAGS) \
-	  $(OBJS) $(CFG_LDFLAGS) $(EXTRALIBS) $(LDFLAGS) -o $(SHARED_LIBNAME_VERSION)
+	  $(OBJS) $(CFG_LDFLAGS) $(LDFLAGS) -o $(SHARED_LIBNAME_VERSION)
 
 clean:
 	rm -f *.o *.a *.dll
@@ -53,6 +53,7 @@
 	$(INSTALL) -d $(libdir)
 	[ $(BUILD_STATIC) = yes ] && $(INSTALL) -c $(STATIC_LIBNAME) $(libdir); \
 	if [ $(BUILD_SHARED) = yes ]; then \
+	  $(INSTALL) -d $(bindir); \
 	  $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(bindir); \
 	  $(INSTALL) -c $(LIBNAME).dll.a $(libdir); \
 	fi
