=== debian/changelog ===
fosfat (1.0.1-2build1) questing; urgency=medium

  * Rebuild against latest fuse3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 May 2025 14:34:40 -0400

fosfat (1.0.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Jakob Haufe <sur5r@debian.org>  Tue, 15 Oct 2024 09:37:41 +0200

fosfat (1.0.1-1) experimental; urgency=medium

  * New upstream version 1.0.1
  * Drop FUSE3 patch, applied upstream
  * Fix cross compilation

 -- Jakob Haufe <sur5r@debian.org>  Fri, 11 Oct 2024 11:18:07 +0200

fosfat (0.4.0-13-ged091bb-6) unstable; urgency=medium

  * Adopt package (Closes: #993520)
  * Switch to FUSE3 (Closes: #1084475)

 -- Jakob Haufe <sur5r@debian.org>  Wed, 09 Oct 2024 16:32:55 +0200

fosfat (0.4.0-13-ged091bb-5) unstable; urgency=medium

  * QA upload.

  [ Didier Raboud ]
  * Add Salsa CI configuration

  [ Debian Janitor ]
  * Apply multi-arch hints. + fosfat-dev: Add Multi-Arch: same.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 01:07:45 +0000

fosfat (0.4.0-13-ged091bb-4) unstable; urgency=medium

  * Orphan package

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Didier Raboud ]
  * Run wrap-and-sort -baskt
  * S-V: Update to 4.6.0 without changes needed
  * Bump debhelper compat to 13

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Sep 2021 15:36:54 +0200
