=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,12 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
+	crossopts =
+else
+	crossopts = --cross-compile --cross-prefix=$(DEB_HOST_GNU_TYPE)-
+endif
 
 %:
 	dh $@
@@ -16,10 +22,12 @@
 	            --disable-strip \
 	            --enable-debug \
 	            --enable-doc \
-	            --enable-pic
+	            --enable-pic \
+		    $(crossopts)
+
 
 override_dh_strip:
-	dh_strip --ddeb-migration='fosfat-dbg (<< 0.4.0-6~)'
+	dh_strip
 
 override_dh_auto_clean:
 	touch config.mak
