=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fosfat-$1\.tar\.gz/ https://github.com/Skywalker13/fosfat/tags .*/v?(\d\S*)\.tar\.gz
